Subject: [alpine-devel] [PATCH] testing/csync2: upgrade to 2.0_rc1_git20121210

From: Pablo Castorino <[email-masked]>
Date: Wed, 12 Dec 2012 14:08:29 -0300

---
 testing/csync2/03-strlcpy_disable.patch |   21 +++++++++++++++++
 testing/csync2/APKBUILD                 |   39 ++++++++++++++++++++++++-------
 2 files changed, 51 insertions(+), 9 deletions(-)
 create mode 100644 testing/csync2/03-strlcpy_disable.patch

diff --git a/testing/csync2/03-strlcpy_disable.patch b/testing/csync2/03-strlcpy_disable.patch
new file mode 100644
index 0000000..f0e9d45
--- /dev/null
+++ b/testing/csync2/03-strlcpy_disable.patch
@@ -0,0 +1,21 @@
+--- old/rsync.c
++++ new/rsync.c
+@@ -49,6 +49,9 @@
+  *
+  * @return index of the terminating byte.
+  **/
++
++/* disabled **
++
+ static size_t strlcpy(char *d, const char *s, size_t bufsize)
+ {
+         size_t len = strlen(s);
+@@ -61,7 +64,7 @@
+         }
+         return ret;
+ }
+-
++*/
+ 
+ /* This has been taken from rsync sources: receiver.c */
+ 
diff --git a/testing/csync2/APKBUILD b/testing/csync2/APKBUILD
index 425d15c..6b2ff91 100644
--- a/testing/csync2/APKBUILD
+++ b/testing/csync2/APKBUILD
@@ -1,8 +1,8 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=csync2
-pkgver=1.34
+pkgver=2.0_rc1_git20121210
 pkgrel=0
-pkgdesc="a cluster synchronization tool"
+pkgdesc="Cluster synchronization tool"
 url="http://oss.linbit.com/csync2/"
 arch="all"
 license="GPL-2+"
@@ -10,12 +10,34 @@ depends=
 makedepends="librsync-dev gnutls-dev sqlite-dev autoconf automake bison flex"
 install=
 subpackages="$pkgname-doc"
-source="http://oss.linbit.com/csync2/csync2-$pkgver.tar.gz
-	01-csync2-sqlite3.patch
-	02-csync2-1.34-gnutls_pkgconfig.patch
-	"
+source="$pkgname-$pkgver.tar.gz
+	03-strlcpy_disable.patch"
+#	01-csync2-sqlite3.patch
+#	02-csync2-1.34-gnutls_pkgconfig.patch
 
 _builddir="$srcdir"/$pkgname-$pkgver
+_giturl="http://git.linbit.com/csync2.git"
+
+
+snapshot() {                                                                
+        local _pkg=$pkgname-$pkgver.tar.gz                                   
+        mkdir -p "$srcdir"                                                  
+        cd "$srcdir"                                                        
+        msg "Creating snapshot: $_pkg"                                      
+ 	rm -rf ${_giturl##*/}                                               
+	git clone --bare $_giturl || return 1                     
+        git --git-dir ${_giturl##*/} archive -o $_pkg \
+             --prefix=$pkgname-$pkgver/ HEAD \
+            || return 1                             
+        	
+        msg "New snapshot: $_pkg"                                                      
+        if [ -n "$_upload" ]; then                    
+             msg "Uploading to $_upload"           
+             scp $_pkg $_upload || return 1     
+             abump $pkgname-$_tag          
+        fi   
+        #abuild checksum                                
+}
 
 prepare() {                                             
 	cd "$_builddir"
@@ -40,6 +62,5 @@ package() {
 	make DESTDIR="$pkgdir" install
 }
 
-md5sums="efc8a3548996b79cef2ad76af5e93cd8  csync2-1.34.tar.gz
-35ba1bb1aafd87741c7ef55bdfb2e212  01-csync2-sqlite3.patch
-31b2ed6a7bb424ccdbf1486223eca323  02-csync2-1.34-gnutls_pkgconfig.patch"
+md5sums="9c835a405db0ab3496239ef185bc43f2  csync2-2.0_rc1_git20121210.tar.gz
+e6d8aaff70cf847b11873cd1cfaaa8f6  03-strlcpy_disable.patch"
-- 
1.7.10

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---